<template>
  <div class="ui-column">
    <slot />
  </div>
</template>
<style lang="scss">
@import "~assets/mixins.scss";

.ui-column {
  display: flex;
  flex-direction: column;

  &.absolute-full {
    @include absolute-full;
  }

  &.fixed-full {
    @include fixed-full;
  }

  &.centered {
    justify-content: center;
    align-items: center;
  }

  &.narrow {
    & > .ui-row,
    & > .ui-cell {
      max-width: $grid * 20;
    }
  }

  &.padding-between {
    @include column-padding-between;
  }

  &.space-between {
    justify-content: space-between;
  }
}
</style>
<script>
export default {
  data() {
    return {};
  },
  computed: {},
  methods: {},
};
</script>
